org.restlet.engine.util

## Class EngineClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - org.restlet.engine.util.EngineClassLoader

    public class EngineClassLoader
    extends java.lang.ClassLoader

Flexible engine class loader. Uses the current class's class loader as its parent. Can also check with the user class loader defined by `Engine.getUserClassLoader()` or with `Thread.getContextClassLoader()` or with `Class.forName(String)`.

Author:
  Jerome Louvel

### Constructor Summary

Constructors
Constructor and Description
`EngineClassLoader(Engine engine)` Constructor.

### Method Summary

Methods
`protected java.lang.Class<?>` `findClass(java.lang.String name)`
`protected java.net.URL` `findResource(java.lang.String name)`
`protected java.util.Enumeration<java.net.URL>` `findResources(java.lang.String name)`
`protected Engine` `getEngine()` Returns the parent Restlet engine.
`java.util.Enumeration<java.net.URL>` `getResources(java.lang.String name)`

### Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getClassLoadingLock, getPackage, getPackages, getParent, getResource, getResourceAsStream, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, registerAsParallelCapable, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EngineClassLoader

    public EngineClassLoader(Engine engine)

Constructor.

### Method Detail

#### findClass

    protected java.lang.Class<?> findClass(java.lang.String name)
                                    throws java.lang.ClassNotFoundException

Overrides:
  `findClass` in class `java.lang.ClassLoader`
Throws:
  `java.lang.ClassNotFoundException`

#### findResource

    protected java.net.URL findResource(java.lang.String name)

Overrides:
  `findResource` in class `java.lang.ClassLoader`

#### findResources

    protected java.util.Enumeration<java.net.URL> findResources(java.lang.String name)
                                                         throws java.io.IOException

Overrides:
  `findResources` in class `java.lang.ClassLoader`
Throws:
  `java.io.IOException`

#### getEngine

    protected Engine getEngine()

Returns the parent Restlet engine.

Returns:
  The parent Restlet engine.

#### getResources

    public java.util.Enumeration<java.net.URL> getResources(java.lang.String name)
                                                     throws java.io.IOException

Overrides:
  `getResources` in class `java.lang.ClassLoader`
Throws:
  `java.io.IOException`